<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:Stylesheet [
  <!ENTITY nbsp " ">
]>
<xsl:stylesheet
        version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:msxml="urn:schemas-microsoft-com:xslt"
        xmlns:umbraco.library="urn:umbraco.library"
        exclude-result-prefixes="msxml umbraco.library">


  <xsl:output method="html"/>
  
  <xsl:param name="currentPage"/>

  <xsl:template match="/">

    <div style="float:bottom; margin: 15px;" >
      <h1>Information</h1>

      <table border="0" width="100%" cellspacing="2">
        <tr>
          <td bgcolor="#CCCC99" width="15">   </td>
          <td bgcolor="#FFFF99" width="20%">
            <b>attribute name</b>
          </td>
          <td bgcolor="#FFFF99">
            <b>value</b>
          </td>
        </tr>
        <xsl:for-each select="$currentPage/@*">
          <tr>
            <td bgcolor="#CCCC99" width="15">   </td>
            <td bgcolor="#FFFF99" width="20%">
              <span class="literal">
                <xsl:value-of select="name()"/>
              </span>
            </td>
            <td bgcolor="#FFFF99">
              <span class="literal">
                <xsl:value-of select="."/>
              </span>
            </td>
          </tr>
        </xsl:for-each>
      </table>
    </div>
  </xsl:template>

</xsl:stylesheet>
