<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:param name="currentPage"/>

	<xsl:template match="/">

		<xsl:variable name="shippingMethodId" select="umbraco.library:RequestForm('shippingMethodInput') "></xsl:variable>

		<xsl:if test="string-length($shippingMethodId) > 0">
			<xsl:variable name="result" select="CommerceLibrary:CreateShipment($shippingMethodId, 'Shipment', true())"></xsl:variable>
			<xsl:variable name="pipelineResult" select="CommerceLibrary:ExecuteBasketPipeline()"/>
		</xsl:if>

	</xsl:template>

</xsl:stylesheet>